

<?php $__env->startSection('content'); ?>
    <div class="main-content">
        <section class="section">
            <div class="section-header">
                <h1><?php echo e(__($pageTitle)); ?></h1>
            </div>

            <div class="section-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <h4><?php echo e(__($pageTitle)); ?></h4>
                                <div class="card-header-form">

                                    <div class="d-flex justify-content-between">
                                        <form action="" method="get" class="d-inline-flex">
                                            <input type="text" name="trx" class="form-control me-2" placeholder="transaction id">
                                            <input type="date" class="form-control me-3" placeholder="Search User" name="date">
                                            <button type="submit" class="btn btn-primary"><?php echo e(__('Search')); ?></button>
                                        </form>
                                    </div>

                                </div>
                            </div>

                            <div class="card-body p-0">
                                <div class="table-responsive">
                                   

                                    <table class="table table-striped table-md">
                                        <thead>
                                            <tr>
                                                <th><?php echo e(__('Trx')); ?></th>
                                                <th><?php echo e(__('Sender')); ?></th>
                                                <th><?php echo e(__('Receiver')); ?></th>
                                                <th><?php echo e(__('Amount')); ?></th>
                                                <th><?php echo e(__('Currency')); ?></th>
                                                <th><?php echo e(__('Charge')); ?></th>
                                                <th><?php echo e(__('Details')); ?></th>
                                                <th><?php echo e(__('Payment Date')); ?></th>
                                            </tr>
                                        </thead>

                                        <tbody>
                                            <?php $__empty_1 = true; $__currentLoopData = $transfers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                <tr>
                                                    <td data-caption="<?php echo e(__('Trx')); ?>">
                                                        <?php echo e($transaction->transaction_id); ?></td>

                                                    <td data-caption="<?php echo e(__('Sender')); ?>">
                                                        <p class="p-0 m-0">
                                                            Name : <?php echo e(@$transaction->sender->full_name); ?>

                                                        </p>
                                                        <p class="p-0 m-0">
                                                            Email : <?php echo e(@$transaction->sender->email); ?>

                                                        </p>
                                                    </td>

                                                    <td data-caption="<?php echo e(__('Receiver')); ?>">
                                                        <p class="p-0 m-0">
                                                            Name : <?php echo e(@$transaction->receiver->full_name); ?>

                                                        </p>
                                                        <p class="p-0 m-0">
                                                            Email : <?php echo e(@$transaction->receiver->email); ?>

                                                        </p>
                                                    </td>

                                                    <td data-caption="<?php echo e(__('Amount')); ?>">
                                                        <?php echo e(number_format($transaction->amount, 2)); ?></td>
                                                    <td data-caption="<?php echo e(__('Currency')); ?>"><?php echo e($general->site_currency); ?>

                                                    </td>
                                                    <td data-caption="<?php echo e(__('Charge')); ?>">
                                                        <?php echo e(number_format($transaction->charge, 2) . ' ' . $general->site_currency); ?>

                                                    </td>
                                                    <td data-caption="<?php echo e(__('Details')); ?>"><?php echo e($transaction->details); ?>

                                                    </td>
                                                    <td data-caption="<?php echo e(__('Payment Date')); ?>">
                                                        <?php echo e($transaction->created_at->format('Y-m-d')); ?>

                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                <tr>
                                                    <td class="text-center" colspan="100%">
                                                        <?php echo e(__('No Transaction Found')); ?>

                                                    </td>
                                                </tr>
                                            <?php endif; ?>
                                        </tbody>
                                    </table>
                                </div>

                            </div>

                            <div class="card-footer">
                                <?php echo e($transfers->links('backend.partial.paginate')); ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('style'); ?>
    <style>
        .ranges {
            padding: 10px !important;
            margin-top: 10px !important;
        }

        .daterangepicker .ranges li.active {
            background-color: #6777ee !important;
        }

        .daterangepicker .ranges li:hover {
            background-color: #f5f5f5 !important;
            color: #6777ee;
        }

        #overlay {
            position: fixed;
            top: 0;
            z-index: 100;
            width: 100%;
            height: 100%;
            display: none;
            background: rgba(0, 0, 0, 0.6);
        }

        .cv-spinner {
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .spinner {
            width: 60px;
            height: 60px;
            border: 4px #ddd solid;
            border-top: 4px #068cfa solid;
            border-radius: 50%;
            animation: sp-anime 0.8s infinite linear;
        }

        @keyframes  sp-anime {
            100% {
                transform: rotate(360deg);
            }
        }

        .is-hide {
            display: none;
        }
    </style>
<?php $__env->stopPush(); ?>




<?php $__env->startPush('script'); ?>
    <script>
        'use strict'
        $(function() {

            $('.daterange-btn').daterangepicker({
                ranges: {
                    'Today': [moment(), moment()],
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate: moment()
            }, function(start, end) {
                $('.daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format(
                    'MMMM D, YYYY'))
            });


            $('.ranges ul li').each(function(index) {
                $(this).on('click', function() {
                    let key = $(this).data('range-key')
                    $("#overlay").fadeIn(300);
                    $.ajax({
                        url: "<?php echo e(route('admin.payment.report')); ?>",
                        data: {
                            key: key
                        },
                        method: "GET",
                        success: function(response) {

                            $('#filter_data').html(response);
                        },
                        complete: function() {
                            $("#overlay").fadeOut(300);
                        }

                    })


                })
            })

            $(document).on('click', '.applyBtn', function() {
                let dateStrat = $('input[name=daterangepicker_start]').val()
                let dateEnd = $('input[name=daterangepicker_end]').val()
                let key = 'Custom Range'
                $("#overlay").fadeIn(300);
                $.ajax({
                    url: "<?php echo e(route('admin.payment.report')); ?>",
                    data: {
                        key: key,
                        startdate: dateStrat,
                        dateEnd: dateEnd
                    },
                    method: "GET",
                    success: function(response) {

                        $('#filter_data').html(response);
                    },
                    complete: function() {
                        $("#overlay").fadeOut(300);
                    }

                })
            })



        })
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\hyip-v7-2\Scripts\core\resources\views/backend/report/money_transfer.blade.php ENDPATH**/ ?>